<template>
    <div>
        <textBlock
            id="SteeringTextContent"
            cmsWidgetName="MASteeringText" />
        <div>
            <p
                v-if="isStateMA"
                class="small"
                v-html="MASteeringText"></p>
        </div>
    </div>
</template>

<script>
import { useMainStore } from '@/store';

export default {
    name: 'steering-text-modal',
    setup() {
        const mainStore = useMainStore();
        return { mainStore };
    },
    computed: {
        MASteeringText() {
            return this.getCmsContent('MASteeringText', 'BodyText');
        },
        isStateMA() {
            if (this.mainStore.order.customer.address.state === 'MA') {
                return true;
            }
            return false;
        }
    }
};
</script>
